org.apache.maven.scm.provider.git.gitexe.command.update

## Class GitLatestRevisionCommandConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.git.gitexe.command.update.GitLatestRevisionCommandConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class GitLatestRevisionCommandConsumer
    extends AbstractConsumer

Version:
  $Id: GitLatestRevisionCommandConsumer.java 755751 2009-03-18 21:52:02Z olamy $
Author:
  Mark Struberg

### Constructor Summary

Constructors
Constructor and Description
`GitLatestRevisionCommandConsumer(ScmLogger logger)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`String` `getLatestRevision()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitLatestRevisionCommandConsumer

    public GitLatestRevisionCommandConsumer(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

#### getLatestRevision

    public String getLatestRevision()